<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$cardId = 'card_m_01J420XC7KAW655XPP12SC28HS';
$response = $api->Cards->GetPreAuthorizations($cardId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myCard = {
Id: '169687329',
}
const listPreauthorizationsforCard = async (cardId) => {
return await mangopay.Cards.getPreAuthorizations(cardId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listPreauthorizationsforCard(myCard.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listPreauthorizationsCard(cardId)
begin
response = MangoPay::Card.get_pre_authorizations(cardId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch preauthorizations: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myCard = {
Id: '192822826'
}
listPreauthorizationsCard(myCard[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.CardPreAuthorization;
import java.util.List;
public class ListCardPreauthorization {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var cardId = "card_m_01HZ6YAQF4MR0VRQ06YG06SD99";
List<CardPreAuthorization> preauths = mangopay.getCardApi().getCardPreAuthorizations(cardId);
for (CardPreAuthorization preauth : preauths) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(preauth);
System.out.println(prettyJson);
}
}
}
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Card
user_card = Card.get('213944219')
preauthorizations = user_card.preauthorization_set.all()
for preauthorization in preauthorizations:
pprint(vars(preauthorization))
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var cardId = "card_m_01J3049JBA2XPA7GC7GEFJRQG4";
var cardPreauthorizations = await api.CardPreAuthorizations.GetPreAuthorizationsForCardAsync(cardId, new Pagination(1, 50), null);
string prettyPrint = JsonConvert.SerializeObject(cardPreauthorizations, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"Id": "156686696",
"Tag": null,
"CreationDate": 1669116896,
"AuthorId": "156671912",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 500
},
"RemainingFunds": {
"Currency": "EUR",
"Amount": 0
},
"AuthorizationDate": 1669116904,
"Status": "SUCCEEDED",
"PaymentStatus": "VALIDATED",
"ExpirationDate": 1669678504,
"PayInId": "156686722",
"ResultCode": "000000",
"ResultMessage": "Success",
"SecureMode": "FORCE",
"CardId": "156674899",
"SecureModeReturnURL": null,
"SecureModeRedirectURL": null,
"SecureModeNeeded": false,
"PaymentType": "CARD",
"ExecutionType": "DIRECT",
"StatementDescriptor": null,
"Culture": "EN",
"SecurityInfo": null,
"MultiCapture": true,
"BrowserInfo": null,
"IpAddress": null,
"Billing": null,
"Shipping": null,
"Requested3DSVersion": null,
"Applied3DSVersion": null,
"PreferredCardNetwork": null,
"CardInfo": {
"BIN": "497010",
"IssuingBank": "LA BANQUE POSTALE",
"IssuerCountryCode": "MA",
"Type": "CREDIT",
"Brand": "VISA",
"SubType": null
}
}
]
Preauthorizations
List Preauthorizations for a Card
GET
/
v2.01
/
{ClientId}
/
cards
/
{CardId}
/
preauthorizations
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$cardId = 'card_m_01J420XC7KAW655XPP12SC28HS';
$response = $api->Cards->GetPreAuthorizations($cardId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myCard = {
Id: '169687329',
}
const listPreauthorizationsforCard = async (cardId) => {
return await mangopay.Cards.getPreAuthorizations(cardId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listPreauthorizationsforCard(myCard.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listPreauthorizationsCard(cardId)
begin
response = MangoPay::Card.get_pre_authorizations(cardId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch preauthorizations: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myCard = {
Id: '192822826'
}
listPreauthorizationsCard(myCard[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.CardPreAuthorization;
import java.util.List;
public class ListCardPreauthorization {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var cardId = "card_m_01HZ6YAQF4MR0VRQ06YG06SD99";
List<CardPreAuthorization> preauths = mangopay.getCardApi().getCardPreAuthorizations(cardId);
for (CardPreAuthorization preauth : preauths) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(preauth);
System.out.println(prettyJson);
}
}
}
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Card
user_card = Card.get('213944219')
preauthorizations = user_card.preauthorization_set.all()
for preauthorization in preauthorizations:
pprint(vars(preauthorization))
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var cardId = "card_m_01J3049JBA2XPA7GC7GEFJRQG4";
var cardPreauthorizations = await api.CardPreAuthorizations.GetPreAuthorizationsForCardAsync(cardId, new Pagination(1, 50), null);
string prettyPrint = JsonConvert.SerializeObject(cardPreauthorizations, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"Id": "156686696",
"Tag": null,
"CreationDate": 1669116896,
"AuthorId": "156671912",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 500
},
"RemainingFunds": {
"Currency": "EUR",
"Amount": 0
},
"AuthorizationDate": 1669116904,
"Status": "SUCCEEDED",
"PaymentStatus": "VALIDATED",
"ExpirationDate": 1669678504,
"PayInId": "156686722",
"ResultCode": "000000",
"ResultMessage": "Success",
"SecureMode": "FORCE",
"CardId": "156674899",
"SecureModeReturnURL": null,
"SecureModeRedirectURL": null,
"SecureModeNeeded": false,
"PaymentType": "CARD",
"ExecutionType": "DIRECT",
"StatementDescriptor": null,
"Culture": "EN",
"SecurityInfo": null,
"MultiCapture": true,
"BrowserInfo": null,
"IpAddress": null,
"Billing": null,
"Shipping": null,
"Requested3DSVersion": null,
"Applied3DSVersion": null,
"PreferredCardNetwork": null,
"CardInfo": {
"BIN": "497010",
"IssuingBank": "LA BANQUE POSTALE",
"IssuerCountryCode": "MA",
"Type": "CREDIT",
"Brand": "VISA",
"SubType": null
}
}
]
Path parameters
string
required
The unique identifier of the Card object, obtained during the card registration process.
Responses
200
200
array
The list of preauthorizations created by the platform.
Show properties
Show properties
object
The preauthorization created by the platform.
Show properties
Show properties
string
Max. length: 255 charactersThe unique identifier of the preauthorization.
string
Max. length: 255 charactersCustom data that you can add to this object.
For preauthorizations, you can use this parameter to identify corresponding information regarding the user or transaction on your platform.
For preauthorizations, you can use this parameter to identify corresponding information regarding the user or transaction on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction. In a conversion, both the debited and credited wallets are owned by the author.
object
Information about the preauthorized funds.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the preauthorized funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the remaining preauthorized funds.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the preauthorized funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).Unix timestamp
The date and time at which successful authorization occurred. If authorization failed, the value is
null.string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the authorization.string
Returned values:
WAITING, CANCELED, CANCEL_REQUESTED, EXPIRED, VALIDATED, FAILEDThe payment status of the deposit preauthorization object:WAITING– The deposit preauthorization can be used: the preauthorized funds can be captured (ifStatusisSUCCEEDED) or the preauthorization can be canceled manually.CANCELED– Value to pass to manually cancel the deposit preauthorization before use; indicates that the deposit preauthorization was canceled manually.CANCEL_REQUESTED– The cancellation of the deposit preauthorization has been requested but not yet processed.EXPIRED– The hold period on the preauthorized funds has ended without it being used.VALIDATED– Indicates that the preauthorized funds were captured.FAILED– The pay-in against the preauthorization has failed, but a retry may be possible.
Unix timestamp
The date and time at which the hold period ends and the preauthorized funds are released.
At the expiration date, the preauthorization’s
At the expiration date, the preauthorization’s
PaymentStatus changes to EXPIRED if no captures were made or VALIDATED if at least one capture was made.string
The unique identifier of the first preauthorized pay-in made against the preauthorization.
string
The explanation of the result code.
string
Returned values:
DEFAULT, FORCE, NO_CHOICEThe mode applied for the 3DS2 protocol for CB, Visa, and Mastercard. The options are:DEFAULT– Requests an exemption to strong customer authentication (SCA), and thus a frictionless payment experience, if allowed by your Mangopay contract and accepted by the issuer.FORCE– Requests SCA.NO_CHOICE– Leaves the choice to the issuer whether to allow for a frictionless payment experience or to enforce SCA.
string
The unique identifier of the Card object, which is returned after updating the Card Registration object with the
RegistrationData.string
Max. length: 255 charactersThe URL to which users are automatically returned after 3DS2 if it is triggered (i.e., if the
SecureModeNeeded parameter is set to true).boolean
Whether or not the
SecureMode was used.string
Returned values:
APPLEPAYThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
Returned values: One of the supported languages in the ISO 639-1 format: DE, EN, ES, FR, IT, NL, PL, PT.The language in which the payment page is to be displayed.
object
Information regarding security and anti-fraud tools.
Show properties
Show properties
string
The result of the Address Verification System check (only available for UK, US, and Canada).
boolean
Default value: trueWhether multiple captures are activated for the preauthorization.
object
Information about the browser used by the end user (author) to perform the payment.
Show properties
Show properties
string
The exact content of the HTTP accept headers as sent to the platform from the end user’s browser.
boolean
Whether or not the end user’s browser has the ability to execute Java.
string
Format: Two-letter language code (ISO 639-1 alpha-2) followed by two-letter country code (ISO 3166-1 alpha-2), separated by a hyphen (example:
en-US; pattern:^[a-zA-Z]{2}(-[a-zA-Z]{2})?$)The language of the browser.integer
The value representing the depth of the screen’s color palette for displaying images, in bits per pixel.
integer
Max. length: 6 charactersThe height of the screen in pixels.
integer
Max. length: 6 charactersThe width of the screen in pixels.
integer
The difference in minutes between the browser’s timezone and UTC.
string
Max. length: 255 charactersThe exact content of the HTTP User-Agent header.
boolean
Whether or not the end user’s browser has the ability to execute JavaScript.
object
Default value: FirstName, LastName, and Address information of the Shipping object if any, otherwise the user (author).Information about the end user billing address. If left empty, the default values will be automatically taken into account.
Show properties
Show properties
string
The first name of the user.
string
Max. length: 100 charactersThe last name of the user.
object
Information about the billing address.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
object
Default value: FirstName, LastName, and Address information of the Billing object, if supplied, otherwise of the user (author).Information about the end user’s shipping address. If left empty, the default values will be automatically taken into account.
Show properties
Show properties
string
The first name of the user.
string
Max. length: 100 charactersThe last name of the user.
object
Information about the shipping address.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
string
Returned values:
V1, V2_1The 3DS protocol version to be applied to the transaction.string | null
Returned values:
V1, V2_1The 3DS protocol version applied to the transaction.string
Returned values:
VISA, MASTERCARD, CB, MAESTROThe card network to use, as chosen by the cardholder, in case of co-branded cards.string
Information about the card used for the transaction.If the information or data is not available,
null is returned.Show properties
Show properties
string
The 6-digit bank identification number (BIN) of the card issuer.
string
The name of the card issuer.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country where the card was issued.
string
Returned values:
DEBIT, CREDIT, CHARGE CARD.The type of card product.string
The card brand. Examples include:
AMERICAN EXPRESS, DISCOVER, JCB, MASTERCARD, VISA, etc.Note: The possible returned values are numerous and liable to evolve over time.string
The subtype of the card product. Examples include:
CLASSIC, GOLD, PLATINUM, PREPAID, etc.Note: The possible returned values are numerous and liable to evolve over time.[
{
"Id": "156686696",
"Tag": null,
"CreationDate": 1669116896,
"AuthorId": "156671912",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 500
},
"RemainingFunds": {
"Currency": "EUR",
"Amount": 0
},
"AuthorizationDate": 1669116904,
"Status": "SUCCEEDED",
"PaymentStatus": "VALIDATED",
"ExpirationDate": 1669678504,
"PayInId": "156686722",
"ResultCode": "000000",
"ResultMessage": "Success",
"SecureMode": "FORCE",
"CardId": "156674899",
"SecureModeReturnURL": null,
"SecureModeRedirectURL": null,
"SecureModeNeeded": false,
"PaymentType": "CARD",
"ExecutionType": "DIRECT",
"StatementDescriptor": null,
"Culture": "EN",
"SecurityInfo": null,
"MultiCapture": true,
"BrowserInfo": null,
"IpAddress": null,
"Billing": null,
"Shipping": null,
"Requested3DSVersion": null,
"Applied3DSVersion": null,
"PreferredCardNetwork": null,
"CardInfo": {
"BIN": "497010",
"IssuingBank": "LA BANQUE POSTALE",
"IssuerCountryCode": "MA",
"Type": "CREDIT",
"Brand": "VISA",
"SubType": null
}
}
]
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$cardId = 'card_m_01J420XC7KAW655XPP12SC28HS';
$response = $api->Cards->GetPreAuthorizations($cardId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myCard = {
Id: '169687329',
}
const listPreauthorizationsforCard = async (cardId) => {
return await mangopay.Cards.getPreAuthorizations(cardId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listPreauthorizationsforCard(myCard.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listPreauthorizationsCard(cardId)
begin
response = MangoPay::Card.get_pre_authorizations(cardId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch preauthorizations: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myCard = {
Id: '192822826'
}
listPreauthorizationsCard(myCard[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.CardPreAuthorization;
import java.util.List;
public class ListCardPreauthorization {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var cardId = "card_m_01HZ6YAQF4MR0VRQ06YG06SD99";
List<CardPreAuthorization> preauths = mangopay.getCardApi().getCardPreAuthorizations(cardId);
for (CardPreAuthorization preauth : preauths) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(preauth);
System.out.println(prettyJson);
}
}
}
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Card
user_card = Card.get('213944219')
preauthorizations = user_card.preauthorization_set.all()
for preauthorization in preauthorizations:
pprint(vars(preauthorization))
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var cardId = "card_m_01J3049JBA2XPA7GC7GEFJRQG4";
var cardPreauthorizations = await api.CardPreAuthorizations.GetPreAuthorizationsForCardAsync(cardId, new Pagination(1, 50), null);
string prettyPrint = JsonConvert.SerializeObject(cardPreauthorizations, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?
⌘I